module test

    implicit none

contains

function foo ()

    integer :: foo

    interface
      function bar ()
        integer :: bar
      end function bar
    end interface

    foo = bar()

end function foo

end module test
